---

- name: get {{ item.name }} backup information
  ansible.builtin.stat:
    path: "{{ item.dest }}/backup.marker"
  register: backup_marker

- name: create {{ item.name }} backup
  ansible.builtin.command:
    cmd: mediavaultctl add --backup-name "{{ item.name }}" --source-folder "{{ item.source }}" --dest-folder "{{ item.dest }}"
    creates: "/etc/systemd/system/mediavault-backup-{{ item.name }}.service"
  when: not backup_marker.stat.exists


...
